{% load static from staticfiles %}

<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white" style="font-family: consolas;">
<head>
<title> My First Load Balancer</title>
<link rel="stylesheet" href="{% static 'css/style.css' %}">
<link rel="shortcut icon" href="{% static 'images/smile.png' %}">
</head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
<body id=bodyspesial>  
                
    <h1 id="judul">My First Load Balancer</h1>
    <br>
    

    <div id="kasihmargin">
        <center><img class=gamber src="{% static 'images/s.png' %}"> </center>

        <p class="paragraph"> &ensp; Kemarin saya diberi tugas terakhir pada mata kuliah perancangan dan pemrograman web untuk membahas mengenai load balancer. 
            Kata ini sangat asing di telinga saya. Sesudah mempelajarinya dari beberapa sumber. 
            Load balancer merupakan salah satu upaya yang dapat  digunakan untuk membuat sebuah system yang memiliki high avaibility atau
            daya tahan yang baik, bekerja sempurna tanpa kesalahan dalam waktu yang lama.
            Terdapat dua jenis load balancer, yaitu software dan hardware. 
            Perbedaan antara keduanya dapat dilihat pada <a href="https://www.solusi.com/hardware-dan-software-load-balancer-mana-lebih-unggul/">https://www.solusi.com/hardware-dan-software-load-balancer-mana-lebih-unggul/</a>.</p>
        
        <p class="paragraph">&ensp; Prinsip kerja load balancer jika kita ibaratkan adalah sebagai satpam / security pada bank.
            Ketika ada nasabah (client) yang mau memasuki bank (mengirim request) maka load ia akan menuntun nasabah tersebut kearah 
            teller (server) yang paling tidak sibuk, sehingga antrian pada bank (network) dapat tetap terkendali. 
            Jika pada suatu teller sedang tidak bekerja(redundant / failover) maka sang satpam akan mengarahkan nasabah yang baru 
            datang ke teller yang bisa bekerja saja. Dari contoh diatas dapat disimpulkan bahwa load balancer berfungsi untuk menjaga 
            kestabilan pada network dengan mengarahkan request dari client ke server yang paling tidak sibuk dan dilakukan secara 
            merata. Fungsi lain adalah memiliki mekanisme untuk menghadapi masalah reduntdant/failover pada server.</p>

        <p class="paragraph">&ensp; Pada tugas ini saya diberikan tugas untuk membuat sebuah project yang melakukan load balancing menggunakan
             salah satu software load balancer yaitu Nginx. Langkah pertama yang perlu saya lakukan adalah membuat file .conf yang akan
            mengatur load balancing saya. Pada file itu mengatur block upstream yang berisi port-port yang akan digunakan sebagai 
            server (8000 & 9000),  block server yang berisi port listener (port tempat terjadi load balancing), dan nama server,block location. </p>

        <center><img id=gambark class=gamber src="{% static 'images/sss.png' %}"> </center>
        
        <p class="paragraph">&ensp; Sesudah mengatur semua itu, saya membuat project pada Django yang akan menunjukan bahwa load balancing 
            saya berhasil. Saya menunjukan port yang digunakan menggunakan request.get_port() pada views.py yang akan ditampilkan 
            di file html saya. Untuk menguji load balancing pada project, pertama-tama saya menjalankan nginx.exe menggunakan 
            terminal (cmd) yang di run as administrator. Setelah selesai saya menjalankan dua terminal (cmd) yang menjalankan 2 port 
            yang berbeda (port 8000 dan 9000). Selanjutnya saya mencoba menjalankan localhost dengan listen port yang saya tentukan
            di file .conf saya yaitu port 100. Saat localhost:100 dijalankan, pada halaman html memberitahu bahwa port yang digunakan adalah
            port 8000. Jika saya refresh maka menjadi 9000, dan akan selalu berulang apabila di-refresh beberapa kali hal ini menunjukan
            bahwa load balancer bekerja pada dua server tersebut. Ketika saya matikan salah satu server, lalu melakukan refresh beberapa kali,
            halaman html menampilkan port yang sama (tidak berganti-ganti),hal ini menunjukan bahwa load balancing yang saya lakukan sudah berhasil.</p>
        
        <center><img class=gamber src="{% static 'images/ss.png' %}"> </center>
        
        <br>
        <p class="paragraph">&ensp; Saya sangat senang karena dapat melakukan load balancing walau karena tugas. 
            Saya juga baru mengetahui bahwa banyak website yang menggunakan load balancing untuk menjaga kestabilan server mereka. 
            Mengetahui hal itu saya merasa semakin mengetahui banyak hal mengenai dunia web.</p>
        <br>
    </div>
    
</body>

</html>